Ask Your Question
0

installing PCL 1.7.2 under Indigo

asked 2015-04-26 13:57:31 -0500

rnunziata gravatar image

updated 2015-05-03 20:14:11 -0500

installing PCL 1.7.2 under Indigo compile from source. How can I find out which ros packages I need to download from source to recompile for compatability? I am getting errros like:

Update: I downloaded pcl_ros and pcl_msgs and compiled from source by I am still getting these odd errors. Do I need to do somthing with ros-gbp/pcl-release? Should I download and add a track for Indigo pcl 1.7.2? Anyhelp here please.

Linking CXX executable /home/richard/catkin_ws/devel/lib/testPCD/testPCD
CMakeFiles/testPCD.dir/src/testPCD.cpp.o: In function `TestPCD::sendCloud(boost::shared_ptr<sensor_msgs::PointCloud2_<std::allocator<void> > const> const&)':
testPCD.cpp:(.text._ZN7TestPCD9sendCloudERKN5boost10shared_ptrIKN11sensor_msgs12PointCloud2_ISaIvEEEEE[_ZN7TestPCD9sendCloudERKN5boost10shared_ptrIKN11sensor_msgs12PointCloud2_ISaIvEEEEE]+0xa0): undefined reference to `pcl::ProgressiveMorphologicalFilter<pcl::PointXYZ>::ProgressiveMorphologicalFilter()'

make[2]: *** [/home/richard/catkin_ws/devel/lib/testPCD/testPCD] Error 1
make[1]: *** [gazebo_ros_demos/testPCD/CMakeFiles/testPCD.dir/all] Error 2

Makefile is as follows:

cmake_minimum_required(VERSION 2.8.3)
project(testPCD)


find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2_ros
  std_msgs
  geometry_msgs
  sensor_msgs
  actionlib
  actionlib_msgs
  pcl_ros
  )


## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)
find_package(PCL 1.7.2 REQUIRED)


catkin_package(
  DEPENDS boost
  LIBRARIES
  CATKIN_DEPENDS
  tf2_ros
  std_msgs
  geometry_msgs
  sensor_msgs
  actionlib
  actionlib_msgs
  pcl_ros
  )


###########
## Build ##
###########

 include_directories(include ${catkin_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
 add_executable(testPCD src/testPCD.cpp)

 target_link_libraries(testPCD ${catkin_LIBRARIES}  ${Boost_LIBRARIES} ${PCL_LIBRARY_DIRS})
 add_definitions(${PCL_DEFINITIONS})
edit retag flag offensive close merge delete

Comments

Did you install PCL from source or the repo ? Culd you post your CMakeList.txt ?

Maya gravatar image Maya  ( 2015-05-03 19:43:53 -0500 )edit

Updated question with requested data

rnunziata gravatar image rnunziata  ( 2015-05-03 20:14:58 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2015-05-05 07:18:31 -0500

rnunziata gravatar image

I had some errors in my makefile the following changes allowed the pgm to compile without error.

include_directories(include ${catkin_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS}) link_directories(${PCL_LIBRARY_DIRS})

add_definitions(${PCL_DEFINITIONS})

set(PCL_BUILD_TYPE Release)

add_executable(testPCD src/testPCD.cpp)

target_link_libraries(testPCD ${catkin_LIBRARIES} ${PCL_LIBRARY} ${Boost_LIBRARIES})

edit flag offensive delete link more
0

answered 2015-05-03 20:35:09 -0500

Maya gravatar image

updated 2015-05-04 12:35:58 -0500

You should replace

target_link_libraries(testPCD ${catkin_LIBRARIES}  ${Boost_LIBRARIES} ${PCL_LIBRARY_DIRS})

By

target_link_libraries(testPCD ${catkin_LIBRARIES}  ${Boost_LIBRARIES} ${PCL_LIBRARY}
edit flag offensive delete link more

Comments

do so...but still get same error. Do u think this a boost incompatibility issue?

rnunziata gravatar image rnunziata  ( 2015-05-04 11:54:12 -0500 )edit

No idea sorry :(. Can you run pcl test files ? Maybe it is has something to do with your LD_LIBRARY_PATH and other kind of environment variables ?

Maya gravatar image Maya  ( 2015-05-04 12:36:39 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-04-26 13:57:31 -0500

Seen: 737 times

Last updated: May 05 '15